{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row justify-content-center my-4" style="margin-top: 20vh !important;">
      <div class="col-lg-5 col-md-6 col-sm-9 col-12">
          <div class="card">
            <div class="card-header">
              <h2><i class="fas fa-user"></i> Login</h2>
            </div>
            <div class="card-body">
              <form action="" method="post">
                {{ form.hidden_tag() }}
                <div class="form-group">
                  {{ form.username.label }}
                  {{ form.username(size=32, class_="form-control", placeholder="Enter Username", autofocus='') }}
                  <div class="form-errors">
                    {% for error in form.username.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group">
                  {{ form.password.label }}
                  {{ form.password(size=32, class_="form-control", placeholder="Enter Username") }}
                  <div class="form-errors">
                    {% for error in form.password.errors %}
                      {{ error }}
                    {% endfor %}
                  </div>
                </div>
                <div class="form-group form-check">
                  {{ form.remember_me(class_="form-check-input") }}
                  {{ form.remember_me.label(class_="form-check-label") }}
                </div>
                {{ form.submit(class_="btn btn-success btn-block") }}
              </form>
              <small class="form-text text-muted">New user? <a class="text-muted" href="{{ url_for('register') }}">Click to Register!</a></small>
            </div>
          </div>
      </div>
    </div>
  </div>
{% endblock %}